--Settings:
local size = 40 -- size of the icon
local x_axis = -200 -- position on the x axis (horizontal)
local y_axis = 0 -- position on the y axis (vertical)
--end

local KSA = CreateFrame("Frame", nil, UIParent)
KSA:SetWidth(size)
KSA:SetHeight(size)
KSA:SetPoint( "CENTER", UIParent, "CENTER", y_axis, x_axis )

KSA.icon = KSA:CreateTexture(nil, "ARTWORK")

CreateFrame('frame'):SetScript('OnUpdate', function()
KSA.icon:SetPoint("CENTER", KSA, "CENTER", 0, 0)
KSA.icon:SetHeight(size)
KSA.icon:SetWidth(size)

local regen = GetPowerRegen()
local power = UnitPower("player")
local start, duration = GetSpellCooldown(121253)
local timeLeft = start + duration - GetTime()

if duration > 1 then
	if power + (regen * timeLeft) >= 80 then
		KSA.icon:SetTexture(GetSpellTexture("Jab"))
	else 
		KSA.icon:SetTexture(GetSpellTexture("Tiger Palm"))
	end
else	KSA.icon:SetTexture(GetSpellTexture("Keg Smash"))
end
end)

KSA:SetScript("OnEvent", p)
KSA:RegisterEvent("UNIT_POWER")
KSA:RegisterEvent("PLAYER_ENTERING_WORLD")